Package fr.gouv.vitam.processing.common.model

# Class ProcessStep

java.lang.Object
fr.gouv.vitam.common.model.processing.Step
fr.gouv.vitam.processing.common.model.ProcessStep

public class ProcessStep extends Step
Step Object in process workflow

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessStep(Step step, String containerName, String workflowId, int position, AtomicLong elementToProcess, AtomicLong elementProcessed)`
  Constructor to initalize a Process Step with a Step object
  `ProcessStep(Step step, String id, String containerName, String workflowId, int position, AtomicLong elementToProcess, AtomicLong elementProcessed)`
  `ProcessStep(Step step, AtomicLong elementToProcess, AtomicLong elementProcessed)`
  Constructor to initialize a Process Step with a Step object
  `ProcessStep(Step step, AtomicLong elementToProcess, AtomicLong elementProcessed, String id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Considered equal two ProcessStep with the same id, step name and worker group id.
  `AtomicLong`
  `getElementProcessed()`
  `AtomicLong`
  `getElementToProcess()`
  `boolean`
  `getLastStep()`
  `StatusCode`
  `getStepStatusCode()`
  `int`
  `hashCode()`
  `boolean`
  `isBlockingKO()`
  `ProcessStep`
  `setElementProcessed(AtomicLong elementProcessed)`
  `ProcessStep`
  `setElementToProcess(AtomicLong elementToProcess)`
  `void`
  `setLastStep(boolean lastStep)`
  `ProcessStep`
  `setStepStatusCode(StatusCode stepStatusCode)`
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.common.model.processing.Step

  `defaultLifecycleLog, getActions, getBehavior, getDistribution, getId, getPauseOrCancelAction, getStepName, getStepResponses, getWaitFor, getWorkerGroupId, isBlocking, isCancellable, isFinally, setActions, setBehavior, setCancellable, setDistribution, setId, setPauseOrCancelAction, setStepName, setStepResponses, setWaitFor, setWorkerGroupId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessStep

    public ProcessStep(Step step, AtomicLong elementToProcess, AtomicLong elementProcessed, String id)

  - ### ProcessStep

    public ProcessStep(Step step, AtomicLong elementToProcess, AtomicLong elementProcessed)
    Constructor to initialize a Process Step with a Step object
    Parameters:
      `step` - the Step object
      `elementToProcess` - number of element to process
      `elementProcessed` - number of element processed
    Throws:
      `IllegalArgumentException` - if the step is null

  - ### ProcessStep

    public ProcessStep(Step step, String id, String containerName, String workflowId, int position, AtomicLong elementToProcess, AtomicLong elementProcessed)

  - ### ProcessStep

    public ProcessStep(Step step, String containerName, String workflowId, int position, AtomicLong elementToProcess, AtomicLong elementProcessed)
    Constructor to initalize a Process Step with a Step object
    Parameters:
      `step` - the Step object
      `containerName` - the container name concerned by the process
      `workflowId` - the workflow ID concerned by the process
      `position` - the position of the step
      `elementToProcess` - number of element to process
      `elementProcessed` - number of element processed
    Throws:
      `IllegalArgumentException` - if the step is null

- ## Method Details

  - ### isBlockingKO

    public boolean isBlockingKO()

  - ### getElementProcessed

    public AtomicLong getElementProcessed()
    Returns:
      the elementProcessed

  - ### setElementProcessed

    public ProcessStep setElementProcessed(AtomicLong elementProcessed)
    Parameters:
      `elementProcessed` - the elementProcessed to set
    Returns:
      the updated ProcessStep object

  - ### getElementToProcess

    public AtomicLong getElementToProcess()
    Returns:
      the elementToProcess

  - ### setElementToProcess

    public ProcessStep setElementToProcess(AtomicLong elementToProcess)
    Parameters:
      `elementToProcess` - the elementToProcess to set
    Returns:
      the updated ProcessStep object

  - ### getStepStatusCode

    public StatusCode getStepStatusCode()
    Returns:
      the stepStatusCode

  - ### setStepStatusCode

    public ProcessStep setStepStatusCode(StatusCode stepStatusCode)
    Parameters:
      `stepStatusCode` - the stepStatusCode to set
    Returns:
      the updated ProcessStep object

  - ### equals

    public boolean equals(Object object)
    Considered equal two ProcessStep with the same id, step name and worker group id.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setLastStep

    public void setLastStep(boolean lastStep)

  - ### getLastStep

    public boolean getLastStep()